# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{turing}
  s.version = "0.0.11"

  s.required_rubygems_version = nil if s.respond_to? :required_rubygems_version=
  s.authors = ["Michal Safranek"]
  s.autorequire = %q{turing}
  s.cert_chain = nil
  s.date = %q{2007-06-07}
  s.description = %q{Implementation of captcha (Completely Automated Public Turing-Test to Tell Computers and Humans Apart) that is both easy to use and easy to customize/extend.}
  s.email = %q{wejn@box.cz}
  s.extra_rdoc_files = ["README"]
  s.files = ["lib/turing", "lib/turing.rb", "lib/turing/image_plugins", "lib/turing/cgi_handler.rb", "lib/turing/challenge.rb", "lib/turing/image.rb", "lib/turing/image_plugins/black_squaring.rb", "lib/turing/image_plugins/random_noise.rb", "lib/turing/image_plugins/blending.rb", "lib/turing/image_plugins/__squaring_helper.rb", "lib/turing/image_plugins/white_squaring.rb", "lib/turing/image_plugins/spiral.rb", "shared/fonts", "shared/bgs", "shared/templates", "shared/dictionary", "shared/README", "shared/fonts/georgiai.ttf", "shared/fonts/cour.ttf", "shared/bgs/21.jpeg", "shared/bgs/04.jpeg", "shared/bgs/13.jpeg", "shared/bgs/06.jpeg", "shared/bgs/07.jpeg", "shared/bgs/08.jpeg", "shared/bgs/26.jpeg", "shared/bgs/09.jpeg", "shared/bgs/18.jpeg", "shared/bgs/19.jpeg", "shared/bgs/28.jpeg", "shared/bgs/29.jpeg", "shared/templates/challenge.rhtml", "shared/templates/success.rhtml", "shared/templates/error.rhtml", "samples/cgi_handler.rb", "samples/challenge.rb", "samples/image.rb", "README", "CHANGES", "TODO", "COPYING", "COPYRIGHT", "Rakefile", "rdoc.jamis.rb"]
  s.homepage = %q{http://turing.rubyforge.org/}
  s.rdoc_options = ["--title", "Turing Documentation", "--charset", "utf-8", "--line-numbers", "--inline-source", "--main", "README", "-T", "./rdoc.jamis.rb"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.2")
  s.requirements = ["Rubygems 0.9.4+"]
  s.rubyforge_project = %q{turing}
  s.rubygems_version = %q{1.3.5}
  s.summary = %q{Another implementation of captcha (http://captcha.net/)}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 1

    if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<gd2>, [">= 1.0"])
    else
      s.add_dependency(%q<gd2>, [">= 1.0"])
    end
  else
    s.add_dependency(%q<gd2>, [">= 1.0"])
  end
end
